Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
encryption
/
provision
Provision an Organization for Envelope Encryption
curl --request POST \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/encryption/provision
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/encryption/provision"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/encryption/provision', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "aead_primary_key_id": 1,
  "kek_path": "<string>",
  "organization_id": "<string>",
  "prf_primary_key_id": 1,
  "status": "<string>"
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Headers

Content-Type
string

The type of media of the resource. Recommended value is application/json.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

Response

OK

aead_primary_key_id
integer<int32>
required
Required range: x >= 0
Example:

1

kek_path
string
required
Example:

"org-00000000-0000-0000-0000-000000000000"

organization_id
string
required
Example:

"00000000-0000-0000-0000-000000000000"

prf_primary_key_id
integer<int32>
required
Required range: x >= 0
Example:

1

status
string
required
Example:

"active"